Package wx :: Module html :: Class HtmlWindowInterface

[frames | no frames]

## Type HtmlWindowInterface

    object --+
             |
            HtmlWindowInterface

Proxy of C++ HtmlWindowInterface class

Method Summary
| `__init__(self)`
| `__del__(self)`
Colour | `GetHTMLBackgroundColour(self)`
Window | `GetHTMLWindow(self)`
Point | `HTMLCoordsToWindow(self, cell, pos)`
| `SetHTMLBackgroundColour(self, clr)`
| `SetHTMLBackgroundImage(self, bmpBg)`
| `SetHTMLStatusText(self, text)`
| `SetHTMLWindowTitle(self, title)`

Property Summary
| `HTMLBackgroundColour`: See `GetHTMLBackgroundColour` and `SetHTMLBackgroundColour`
| `HTMLWindow`: See `GetHTMLWindow`
| `thisown`: The membership flag

Class Variable Summary
`int` | `HTMLCursor_Default` = 0
`int` | `HTMLCursor_Link` = 1
`int` | `HTMLCursor_Text` = 2

Property Details

### HTMLBackgroundColour

See `GetHTMLBackgroundColour` and `SetHTMLBackgroundColour`

  Get Method:
    `GetHTMLBackgroundColour`(self)
  Set Method:
    `SetHTMLBackgroundColour`(self, clr)

### HTMLWindow

See `GetHTMLWindow`

  Get Method:
    `GetHTMLWindow`(self)

### thisown

The membership flag

  Get Method:
    unknown--1218996772(...)
  Set Method:
    unknown--1218996716(...)

Class Variable Details

### HTMLCursor_Default

  Type:
    `int`
  Value:

        0

### HTMLCursor_Link

  Type:
    `int`
  Value:

        1

### HTMLCursor_Text

  Type:
    `int`
  Value:

        2

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:33 2007 | http://epydoc.sf.net